export declare type Maybe<T> = T | null;
export declare type NotFunction<T> = T extends Function ? never : T;
export declare type StringKeyOf<T> = Extract<keyof T, string>;
export declare type StringKeysOf<T> = StringKeyOf<T>[];
export declare type ValueOf<T> = T[keyof T];
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare type PlainObject = NotFunction<object>;
export declare type Primitive = null | undefined | string | number | boolean | symbol;
export declare function assertNever(value: never): never;
export declare function flatMap<U, T = any>(items: T[], callbackfn: (value: T, index: number, array: T[]) => U | U[]): U[];
